"‘const_iterator’ is not a member of ‘GA_Primitive’"

   267   2   1
User Avatar
Member
16 posts
Joined: Aug. 2013
Offline
Was there undocumented changes to the HDK which invalidates all source code written for Houdini <= 16.0, that uses something along the lines of: “GA_Primitive::const_iterator vt;” in it? I'm trying to compile https://github.com/symek/EdgyEggs [github.com] just to see what it can do, and to use as a template to translate Houdini to libIGL, Eigen, etc. I've not made any modifications to the code, other than the makefile to supply the additional eltopo and shapeop libraries as well as the custom location Manjaro Linux gives to gcc-4.8 C libraries (nothing seems to work with c version 7.2.0), so what's with all the errors during the make?
User Avatar
Member
1383 posts
Joined: July 2005
Offline
This is because GA_Primitive::beginVertex(const_iterator &i) [sidefx.com] was tagged as depreciated in Houdini 16.0 and removed recently. I've fixed the code for 16.5 just now, thanks! albeit I wouldn't take it as a template to anything

Cheers!
Edited by symek - Dec. 4, 2017 12:42:21
User Avatar
Member
16 posts
Joined: Aug. 2013
Offline
Oh! Sorry, I didn't realize you were still active with this project. The compiler works now. Thanks for the update!
  • Quick Links